require 'epsilon'
require 'test/unit'

class TestEpsilon < Test::Unit::TestCase
	def setup
		@epsilon = Epsilon.new('test.jpg')
	end
	def test_new
		assert_equal(@epsilon.class, Epsilon)
	end
	def test_generate
		assert [true,false].include?(@epsilon.generate)
	end
	def test_thumbnail
		assert %r{/}.match(@epsilon.thumbnail)
	end
	def test_filename
		assert %r{/}.match(@epsilon.filename)
	end
end
